.menu {
    margin: 10px;
    margin-bottom: 30px;
}

.achievements {
}

.achievement {
    border-radius: 7px;
    border: 1px #004758 solid;
    padding: 10px;
    margin: 0 0 20px;
    width: 500px;
    min-height: 75px;
    transition: transform 250ms, background-color 0.2s;
    /*background: #203a43;*/
    background: rgba(0,0,0,0.1);
}

.achievement .topBar {
    display: flex;
    flex-direction: row;
}

.achievement .topBar h3 {
    flex:4;
    /*background-color: aquamarine;*/
}

.actions.left {
    /*background-color: darkgoldenrod;*/
    flex: 1;
    align-content: start;
    text-align: left;
}

.actions.right {
    /*background-color: darkred;*/
    flex: 1;
    visibility: hidden;
    text-align: right;
}

.actions.right img {
    width: 30px;
}

.actions.right .edit {
    margin-right: 10px;
}

.achievement:hover .actions.right {
    /*background-color: darkorchid;*/
    visibility: visible;
}

.achievement .description {
    margin: 25px;
    margin-top: 0;
}

.edit:hover, .delete:hover, .taskStatus:hover {
    filter: drop-shadow(0 0 0.25rem);
    transition: filter 250ms;
}

.achievement .footer {
    margin-top: 30px;
    border-top: 1px solid #006d84;
    font-size: 14px;
    text-align: right;
}

.achievement.validated {
    border: 1px solid #3cb39d;
    background-color: #3cb39d;
    transition: background-color 0.5s;
}

/*linear-gradient(to right,#2c5364, #203a43, #0f2027);*/

input[type=text].title:focus, input[type=text].description:focus {
    outline: none !important;
    /*box-shadow: 0 0 10px #2c5364;*/
    /*transition: sh 0.5s;*/
    filter: drop-shadow(0 0 0.25rem #2c5364);
    transition: filter 250ms;
}


input[type=text].title, input[type=text].description {
    border: none;
    color: white;
    background-color: #182d35;
    text-align: center;
    margin-top: 2px;
    margin-bottom: 5px;
}

input[type=text].title::placeholder, input[type=text].description::placeholder {
    color: #6f7e84 !important;
    font-family: "Nunito Bold", serif;
}

input[type=text].title {
    margin-bottom: 0;
    width: 100%;
    font-family: 'Nunito Bold', serif;
    font-size: 28px;
    background-color: transparent;
    border-radius: 10px 10px 2px 2px;
}

input[type=text].description {
    width: 100%;
    background-color: transparent;
    font-family: 'Nunito Bold', serif;
}

.newBlock:not(.active) img.add {
    position: absolute;
    top: 10px;
    left: 16px;
    width: 53px;
}

.newBlock.active img.add {
    display: none;
}

.newBlock.active img.cancel {
    position: absolute;
    top: 10px;
    left: 16px;
    width: 53px;
}

img.enter {
    position: absolute;
    width: 50px;
    right: 50px     ;
    top: 10px;
}

.newBlock:not(.active) img.cancel {
    display: none;
}

.newBlock {
    margin-bottom: 30px;
}

.newBlock:not(.active) {
    padding-top: 13px !important;
}

.newBlock.active {
    padding-top: 12px !important;
    padding-bottom: 12px !important;
    border-radius: 10px;
    background-color: #182d35;
    transition: background-color 0.5s;
}

.showBlock2 {
    display:block;
    overflow:hidden;
    transition: max-height 0.5s, opacity 1s;
    height:auto;
    max-height: 100px; /* issue on mobile */
    opacity: 1;
}

.hideBlock2 {
    max-height:0;
    transition: max-height 0.5s, opacity 0.5s;
    opacity: 0;
}
